Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/extra-cmake-modules: update unmaintained aport to 5.31.0

From: Ivan Tham <pickfire_at_riseup.net>
Date: Tue, 21 Feb 2017 17:15:44 +0800

---
 testing/extra-cmake-modules/APKBUILD      | 30 ++++++++++++++++++++++
 unmaintained/extra-cmake-modules/APKBUILD | 42 -------------------------------
 2 files changed, 30 insertions(+), 42 deletions(-)
 create mode 100644 testing/extra-cmake-modules/APKBUILD
 delete mode 100644 unmaintained/extra-cmake-modules/APKBUILD
diff --git a/testing/extra-cmake-modules/APKBUILD b/testing/extra-cmake-modules/APKBUILD
new file mode 100644
index 0000000000..a367dfaf25
--- /dev/null
+++ b/testing/extra-cmake-modules/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: k0r10n <k0r10n.dev_at_gmail.com>
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+pkgname=extra-cmake-modules
+pkgver=5.31.0
+pkgrel=0
+pkgdesc="Extra CMake modules"
+url="https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
+arch="noarch"
+license="custom"
+depends="cmake"
+makedepends="py3-sphinx py3-requests cmake"
+subpackages="${pkgname}-doc"
+source="http://download.kde.org/stable/frameworks/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
+builddir="$srcdir"/${pkgname}-${pkgver}/build
+
+build() {
+	mkdir -p "$builddir" && cd "$builddir"
+	cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install/fast || return 1
+
+	install -Dm644 ../COPYING-CMAKE-SCRIPTS \
+		"$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+sha512sums="3930bdf83b015ddcab4671f75e1e30f3cae7676eb88fa74e0097dd9112d6c56c68891fe69ffa232e61866f9b34ed1db748b5044e7e9c762369ad8940e854f16a  extra-cmake-modules-5.31.0.tar.xz"
diff --git a/unmaintained/extra-cmake-modules/APKBUILD b/unmaintained/extra-cmake-modules/APKBUILD
deleted file mode 100644
index 0fe909597e..0000000000
--- a/unmaintained/extra-cmake-modules/APKBUILD
+++ /dev/null
_at_@ -1,42 +0,0 @@
-# Contributor: k0r10n <k0r10n.dev_at_gmail.com>
-# Maintainer:
-pkgname=extra-cmake-modules
-pkgver=1.1.0
-pkgrel=0
-pkgdesc="Extra CMake modules"
-url="https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
-arch="noarch"
-license="LGPL"
-depends=
-depends_dev="py-sphinx"
-makedepends="$depends_dev cmake"
-install=""
-subpackages="${pkgname}-doc"
-source="ftp://ftp.kde.org/pub/kde/stable/frameworks/5.1.0/${pkgname}-${pkgver}.tar.xz"
-
-_builddir="$srcdir"/${pkgname}-${pkgver}
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-	mkdir "$_builddir"/build
-}
-
-build() {
-	cd "$_builddir"/build
-	cmake -DCMAKE_INSTALL_PREFIX=/usr "$_builddir" || return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"/build
-	make DESTDIR="$pkgdir" install/fast || return 1
-}
-
-md5sums="005e28bb881718e3c381f8731fb70ea7  extra-cmake-modules-1.1.0.tar.xz"
-sha256sums="0b460126dfc5faabb64fe4f0f9ec0d247fe75cf66c2a8a5f0d66d4a45f73e303  extra-cmake-modules-1.1.0.tar.xz"
-sha512sums="76947a9ea76611e5f3593b5e60d0f2e102459d6fa85c8e7e21371bcc6d513372dfccd01c9eb021d75f9782942612d27c7ebc97c978838329c1505e2792794353  extra-cmake-modules-1.1.0.tar.xz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 21 2017 - 17:15:44 GMT